View Issue Details

IDProjectCategoryView StatusLast Update
15531Bug reports[All Projects] Survey editingpublic2020-01-16 18:27
ReporterDenisChenu Assigned Tocdorin  
PrioritynoneSeverityminor 
Status assignedResolutionreopened 
Product Version4.0.0-RC11 
Target VersionFixed in Version 
Summary15531: Add question : nothing appear
Description

Click on Add question in organize part … wait : nothink appear

Steps To Reproduce

See description

Additional Information

There are a PJAX isse and a ckeditor in console.
Reload (F5 page) : OK, question editor is here

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC6 git fe43804ec0
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database & DB-Versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Relationships

related to 15729 assignedollehar SyntaxError: expected expression, got '<' in spectrum.js 

Activities

DenisChenu

DenisChenu

2019-11-05 11:31

developer  

Capture d’écran du 2019-11-05 11-28-46.png (124,967 bytes)
DenisChenu

DenisChenu

2019-11-05 14:59

developer   ~54404

@cdorin : confirm ?

DenisChenu

DenisChenu

2019-11-15 08:48

developer   ~54607

Still have with https://github.com/LimeSurvey/LimeSurvey/commit/08a378a2f58e8d6083f165acf7b231bac5e68590 (2019-11-15 git version)

  1. My settings was
    1. Simple selector
    2. Show script filed to no (but script field still show)
    3. Directly show edit mode: No
    4. HTML editor mode: Source code
  2. Exact way to reproduce
    1. Survey list
    2. Click on survey
    3. Click on structure
    4. Open a group with questions
    5. CLick on question : question didn't appear.

It seems if group is opened before : question are shown.

cdorin

cdorin

2019-11-15 09:41

manager   ~54614

Can't reproduce it at the moment - but found an error in accessing the question from the question list page. Will report it now.

DenisChenu

DenisChenu

2019-11-15 09:44

developer   ~54616

It happens but not always …

It seems if group is opened before : question are shown.

but maybe it's related to something other :)

ollehar

ollehar

2019-11-15 13:08

administrator   ~54631

Is this for latest git commit?

ollehar

ollehar

2019-11-15 13:09

administrator   ~54632

Can you upload your database, Denis?

ollehar

ollehar

2019-11-15 13:09

administrator   ~54633

Cannot reproduce.

DenisChenu

DenisChenu

2019-11-15 13:57

developer   ~54636

Don't think it DB related,

Seems related to sourcecode editor …

I check with included survey

  1. with sourcecode editor > have the issue (after click on one question, anoter one, another one etc …)
  2. Set html editor > reload page with question
  3. Click on another question :OK shown


limesurvey_survey_QuestionNotShownIssue.lss (29,239 bytes)
DenisChenu

DenisChenu

2019-11-15 13:58

developer   ~54637

Remind : it's difficult because even for me : issue is unstable …

DenisChenu

DenisChenu

2019-11-15 14:00

developer   ~54638

SQL DB and another screecast



Peek 15-11-2019 13-53.gif (1,907,457 bytes)
ls_develop.sql.zip (82,301 bytes)
DenisChenu

DenisChenu

2019-12-09 14:34

developer   ~54975

Still an issue in Version 4.0.0-RC11

But maybe issue with this survey too

DenisChenu

DenisChenu

2019-12-09 14:35

developer  

limesurvey_survey_NoNawQuestion.lss (371,646 bytes)
Peek 09-12-2019 14-32.gif (1,137,748 bytes)
ollehar

ollehar

2020-01-07 16:15

administrator   ~55139

Oh, that was the same error as broke Travis. I made a fake fix to it.

DenisChenu

DenisChenu

2020-01-07 17:27

developer   ~55140

Oh, that was the same error as broke Travis. I made a fake fix to it.

fake fix ? But i still have the issue personally … randomly, but still have …

ollehar

ollehar

2020-01-07 17:44

administrator   ~55143

I fixed it today. Pull and try again.

cdorin

cdorin

2020-01-10 15:38

manager   ~55193

Does this issue still exist? @DenisChenu, could you please confirm?

DenisChenu

DenisChenu

2020-01-10 15:39

developer   ~55194

Let's close now, but unsure (like all random bug)

cdorin

cdorin

2020-01-10 15:46

manager   ~55198

Fixed - but to be still tested in case we have not found the right culprit.

DenisChenu

DenisChenu

2020-01-14 11:39

developer   ~55224

Reopen : happen again …

  1. Set User setting as shown in UserSetting
  2. Create survey with a sample question
  3. Edit question, update to multiple text
  4. Add subquestions
  5. Update subquestions
  6. Click on New question on left menu : Question part aren't show, console show an error about ckeditor-duplicated-modules
  7. After this error : seems JS is broken ?
DenisChenu

DenisChenu

2020-01-14 11:40

developer  

TheError.png (195,614 bytes)
UserSetting.png (44,027 bytes)
UserSetting.png (44,027 bytes)
DenisChenu

DenisChenu

2020-01-14 11:48

developer  

Peek 14-01-2020 11-47.gif (1,690,469 bytes)
DenisChenu

DenisChenu

2020-01-14 11:48

developer   ~55225

Happen each time today … Version 4.0.0-RC14 updated via git …

See screencast

DenisChenu

DenisChenu

2020-01-14 15:34

developer   ~55238

Related to HTML editor mode.

cdorin

cdorin

2020-01-14 15:56

manager   ~55241

I do not have this issue. @ollehar, can you try to reproduce it?

DenisChenu

DenisChenu

2020-01-14 16:22

developer   ~55243

72.0.1 (64 bits) (Fedora version)

Privacy on strict mode
Ublock origin and Privacy Badger disable (but no external script)

Els e: it don't happen the 1st time : import survey : go on MULTI, go on checkJs , go on checkPHP

Seems VueJS are not updated



Peek 14-01-2020 16-22.gif (1,066,226 bytes)
limesurvey_survey_769299.lss (40,420 bytes)
DenisChenu

DenisChenu

2020-01-14 16:27

developer   ~55244

When it's happen : goes to Survey text element show near same issue with
Error: ckeditor-duplicated-modules: Some CKEditor 5 modules are duplicated. Read more: https://ckeditor.com/docs/ckeditor5/latest/framework/guides/support/error-codes.html#error-ckeditor-duplicated-modules lstextelements.js:129343

DenisChenu

DenisChenu

2020-01-14 16:27

developer  

Capture d’écran du 2020-01-14 16-26-06.png (108,456 bytes)
ollehar

ollehar

2020-01-14 16:49

administrator   ~55245

debug = 0 or 2?

ollehar

ollehar

2020-01-14 16:56

administrator   ~55246

Upload your entire db?

DenisChenu

DenisChenu

2020-01-14 17:28

developer   ~55247

debug = 0 or 2?

Checked both

Upload your entire db?

Here



LimeSurvey_ls_develop_dump_2020-01-14.sql (707,160 bytes)
DenisChenu

DenisChenu

2020-01-16 18:22

developer   ~55334

Last edited: 2020-01-16 18:24

View 3 revisions

Maybe related to url format ?

I have get (on ngynx).

        'urlManager' => array(
            'urlFormat' => 'get',
            'rules' => array(
                // You can add your own rules here
            ),
            'showScriptName' => false,
        ),

Let me check

DenisChenu

DenisChenu

2020-01-16 18:26

developer   ~55335

Maybe related to url format ?

No … same with path … oh shit …

Issue History

Date Modified Username Field Change
2019-11-05 11:31 DenisChenu New Issue
2019-11-05 11:31 DenisChenu File Added: Capture d’écran du 2019-11-05 11-28-46.png
2019-11-05 11:31 DenisChenu File Added: Capture d’écran du 2019-11-05 11-28-55.png
2019-11-05 14:51 DenisChenu Relationship added has duplicate 15534
2019-11-05 14:53 DenisChenu Relationship deleted has duplicate 15534
2019-11-05 14:59 DenisChenu Note Added: 54404
2019-11-14 21:22 cdorin Assigned To => cdorin
2019-11-14 21:22 cdorin Status new => assigned
2019-11-15 08:48 DenisChenu Note Added: 54607
2019-11-15 09:41 cdorin Note Added: 54614
2019-11-15 09:44 DenisChenu Note Added: 54616
2019-11-15 13:08 ollehar Note Added: 54631
2019-11-15 13:09 ollehar Note Added: 54632
2019-11-15 13:09 ollehar Note Added: 54633
2019-11-15 13:10 ollehar Assigned To cdorin => DenisChenu
2019-11-15 13:10 ollehar Status assigned => feedback
2019-11-15 13:57 DenisChenu File Added: limesurvey_survey_QuestionNotShownIssue.lss
2019-11-15 13:57 DenisChenu Note Added: 54636
2019-11-15 13:58 DenisChenu Note Added: 54637
2019-11-15 14:00 DenisChenu File Added: Peek 15-11-2019 13-53.gif
2019-11-15 14:00 DenisChenu File Added: ls_develop.sql.zip
2019-11-15 14:00 DenisChenu Note Added: 54638
2019-12-09 14:34 DenisChenu Assigned To DenisChenu =>
2019-12-09 14:34 DenisChenu Status feedback => new
2019-12-09 14:34 DenisChenu Note Added: 54975
2019-12-09 14:35 DenisChenu File Added: limesurvey_survey_NoNawQuestion.lss
2019-12-09 14:35 DenisChenu File Added: Peek 09-12-2019 14-32.gif
2019-12-09 14:35 DenisChenu File Added: Capture d’écran du 2019-12-09 14-34-26.png
2019-12-09 14:35 DenisChenu Product Version 4.0.0-RC7 => 4.0.0-RC11
2020-01-07 16:15 ollehar Note Added: 55139
2020-01-07 17:27 DenisChenu Note Added: 55140
2020-01-07 17:44 ollehar Note Added: 55143
2020-01-10 15:38 cdorin Note Added: 55193
2020-01-10 15:39 DenisChenu Note Added: 55194
2020-01-10 15:46 cdorin Assigned To => cdorin
2020-01-10 15:46 cdorin Status new => closed
2020-01-10 15:46 cdorin Resolution open => fixed
2020-01-10 15:46 cdorin Note Added: 55198
2020-01-14 11:39 DenisChenu Status closed => feedback
2020-01-14 11:39 DenisChenu Resolution fixed => reopened
2020-01-14 11:39 DenisChenu Note Added: 55224
2020-01-14 11:40 DenisChenu File Added: TheError.png
2020-01-14 11:40 DenisChenu File Added: UserSetting.png
2020-01-14 11:48 DenisChenu File Added: Peek 14-01-2020 11-47.gif
2020-01-14 11:48 DenisChenu Note Added: 55225
2020-01-14 11:48 DenisChenu Status feedback => assigned
2020-01-14 15:34 DenisChenu Note Added: 55238
2020-01-14 15:56 cdorin Note Added: 55241
2020-01-14 16:22 DenisChenu File Added: Peek 14-01-2020 16-22.gif
2020-01-14 16:22 DenisChenu File Added: limesurvey_survey_769299.lss
2020-01-14 16:22 DenisChenu Note Added: 55243
2020-01-14 16:27 DenisChenu Note Added: 55244
2020-01-14 16:27 DenisChenu File Added: Capture d’écran du 2020-01-14 16-26-06.png
2020-01-14 16:49 ollehar Note Added: 55245
2020-01-14 16:56 ollehar Note Added: 55246
2020-01-14 17:28 DenisChenu File Added: LimeSurvey_ls_develop_dump_2020-01-14.sql
2020-01-14 17:28 DenisChenu Note Added: 55247
2020-01-16 18:22 DenisChenu Note Added: 55334
2020-01-16 18:23 DenisChenu Note Edited: 55334 View Revisions
2020-01-16 18:24 DenisChenu Note Edited: 55334 View Revisions
2020-01-16 18:26 DenisChenu Note Added: 55335
2020-01-16 18:27 DenisChenu Relationship added related to 15729